"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const highlighter_1 = require("../highlighter");
const ContentPath_node_1 = require("../ranker/ContentPath.node");
describe('CodeHighlighter', () => {
    it('should format python code correctly', () => __awaiter(void 0, void 0, void 0, function* () {
        const repomap = yield (0, highlighter_1.generateFileHighlights)('test.py', `class MyClass:
  def my_method(self, arg1, arg2):
    return arg1 + arg2

def my_function(arg1, arg2):
  return arg1 * arg2`, [0, 4], new ContentPath_node_1.NodeContentPath());
        const expectedOutput = `
test.py
█class MyClass:
│  def my_method(self, arg1, arg2):
⋮...
█def my_function(arg1, arg2):
⋮...
`;
        expect(repomap).toBe(expectedOutput);
    }));
});
//# sourceMappingURL=highlighter.test.js.map