import { Tag, ITagExtractor } from './common';
import { TagRanker } from './TagRanker';
export type Source = {
    relPath: string;
    code: string;
};
export type DefRef = {
    relPath: string;
    all: Tag[];
    defs: Tag[];
    refs: Tag[];
};
export declare class DefRefs {
    readonly workspacePath: string;
    readonly defRefs: DefRef[];
    static create(tagGetter: ITagExtractor, sources: Source[]): Promise<DefRefs | undefined>;
    constructor(workspacePath: string, defRefs: DefRef[]);
    static _add<K, V>(map: Map<K, Set<V>>, key: K, value: V): void;
    static _push<K, V>(map: Map<K, V[]>, key: K, value: V): void;
    createTagranker(): TagRanker | undefined;
}
